Loading...
Searching...
No Matches
VolumeToSpheres.h File Reference

Fill a closed level set or fog volume with adaptively-sized spheres. More...

`#include <openvdb/tree/LeafManager.h>`
`#include <openvdb/math/Math.h>`
`#include "Morphology.h"`
`#include "PointScatter.h"`
`#include "LevelSetRebuild.h"`
`#include "LevelSetUtil.h"`
`#include "VolumeToMesh.h"`
`#include <openvdb/openvdb.h>`
`#include <tbb/blocked_range.h>`
`#include <tbb/parallel_for.h>`
`#include <tbb/parallel_reduce.h>`
`#include <algorithm>`
`#include <cmath>`
`#include <limits>`
`#include <memory>`
`#include <random>`
`#include <utility>`
`#include <vector>`

Go to the source code of this file.

## Classes

class | ClosestSurfacePoint< GridT >
| Accelerated closest surface point queries for narrow band level sets. More...

## Namespaces

namespace | openvdb
namespace | openvdb::v11_0
namespace | openvdb::v11_0::tools

## Functions

template<typename GridT , typename InterrupterT = util::NullInterrupter>
void | fillWithSpheres (const GridT &grid, std::vector< openvdb::Vec4s > &spheres, const Vec2i &sphereCount=Vec2i(1, 50), bool overlapping=false, float minRadius=1.0, float maxRadius=std::numeric_limits< float >::max(), float isovalue=0.0, int instanceCount=10000, InterrupterT *interrupter=nullptr)
| Fill a closed level set or fog volume with adaptively-sized spheres.

## Detailed Description

Fill a closed level set or fog volume with adaptively-sized spheres.